#include "rca.h"
#include "ESP8266.h"
#include "Client_ESP8266.h"
#include "ThingSpeak.h"

#define SSID       ""
#define PASSWORD   ""

ESP8266Client wifi;

void setup()
{
    int ret;
    
    Serial.begin(115200);
    Serial.print("Milkcocoa SDK demo");

    // Connect to WiFi access point.
    Serial.println(); Serial.println();
    Serial.print("Connecting to ");
    Serial.println(SSID);

    ret = wifi.begin(Serial5, 115200);

    if(ret == 1) {
        Serial.print("Cannot communicate with ESP8266.");
        while(1);        
    } else if(ret == 2) {
        Serial.println("FW Version mismatch.");
        Serial.print("FW Version:");
        Serial.println(wifi.getVersion().c_str());
        Serial.print("Supported FW Version:");
        Serial.println(ESP8266_SUPPORT_VERSION);
        while(1);
    } else {
        Serial.print("begin ok\r\n");
    }

    Serial.print("FW Version:");
    Serial.println(wifi.getVersion().c_str());
    
    if (wifi.setOprToStation()) {
        Serial.print("to station ok\r\n");
    } else {
        Serial.print("to station err\r\n");
    }
    
    if (wifi.joinAP(SSID, PASSWORD)) {
        Serial.print("Join AP success\r\n");
        Serial.print("IP: ");
        Serial.println(wifi.getLocalIP().c_str());    
    } else {
        Serial.print("Join AP failure\r\n");
    }

    if (wifi.stopServer()) {
        Serial.print("Stop server ok\r\n");
    } else {
        Serial.print("Stop server err\r\n");
    }        
    
    if (wifi.disableMUX()) {
        Serial.print("single ok\r\n");
    } else {
        Serial.print("single err\r\n");
    }
    
    //Setup
    if (ThingSpeak.begin(wifi))  {
        Serial.print("ThingSpeak.begin() ok\r\n");
    } else {
        Serial.print("ThingSpeak.begin() err\r\n");
    }
    
    pinMode(13, OUTPUT);
    digitalWrite(13, LOW);   

    Serial.println("setup end\r\n");
}

unsigned long myChannelNumber = ;
const char * myWriteAPIKey = "";
int cnt1;
int cnt2;

void loop() {
    int ret;
    ThingSpeak.setField(1,cnt1);
    ThingSpeak.setField(2,cnt2);

    cnt1 += 1;
    cnt2 += 2;

    // Write the fields that you've set all at once.
    ret = ThingSpeak.writeFields(myChannelNumber, myWriteAPIKey);
    Serial.print("Call writeFields() : return code is ");
    Serial.println(ret);

    delay(20000);
}
